.piece {
    break-inside: avoid;
    display: inline-block;
    width: 100%;
    margin: 0 0 10px;
    text-align: center;
}

.piece a:has(img) {
    background-image: none;
}

.piece img {
    width: 100%;
    display: block;
    border: 1px solid #c4d0db;
    border-radius: 4px;
}

.artist {
    display: block;
    margin-top: 4px;
}
